package com.hrsk.cloud.eg.domain.api;

import lombok.Getter;
import lombok.experimental.Accessors;
import org.springframework.expression.spel.support.StandardEvaluationContext;

/**
 * @author zhangyy
 * @version 1.0
 * @description: ApiResult
 * @date 2024/8/30 10:54
 */
@Getter
@Accessors(chain = true)
public class ApiResult {

    /**
     * 入参
     */
    private final Object output;
    /**
     * spel context
     */
    private final StandardEvaluationContext spelContext = new StandardEvaluationContext();

    /**
     * 构造函数
     *
     * @param output 出参
     */
    public ApiResult(Object output) {
        this.output = output;
        spelContext.setVariable("param", output);
    }
}
