package com.hrsk.cloud.eg.infrastructure.ApiGateWayImpl;

import com.hrsk.cloud.eg.domain.api.ApiGateway;
import com.hrsk.cloud.eg.domain.common.response.DefaultResponseVo;
import com.hrsk.cloud.eg.dto.data.CheckIntoParamDto;
import com.hrsk.cloud.eg.infrastructure.business.HttpRequestCheckIntoService;
import com.hrsk.cloud.eg.infrastructure.config.client.HttpTemPlateClient;
import com.hrsk.cloud.eg.vo.response.DataVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author: bianlanzhou
 * @create: 2024-08-01 18:15
 * @description: API防腐层
 **/
@Slf4j
@Component
public class ApiGatewayImpl implements ApiGateway {


    @Resource
    private HttpRequestCheckIntoService checkIntoService;



    @Override
    public DefaultResponseVo<DataVo> checkIntoRequest(CheckIntoParamDto param) {
        Object data = checkIntoService.checkInto(param);
        return DefaultResponseVo.success((DataVo) data);

    }
}
