package com.hrsk.cloud.eg.infrastructure.business;

import com.hrsk.cloud.eg.domain.api.Api;
import com.hrsk.cloud.eg.domain.api.ApiFactory;
import com.hrsk.cloud.eg.domain.api.HttpApi;
import com.hrsk.cloud.eg.domain.api.HttpApiConfig;
import com.hrsk.cloud.eg.dto.data.CheckIntoParamDto;
import com.hrsk.cloud.eg.infrastructure.config.client.HessianUtils;
import com.hrsk.cloud.eg.infrastructure.config.client.HttpTemPlateClient;
import com.hrsk.cloud.eg.infrastructure.repository.database.entity.EgApiEndpointDo;
import com.hrsk.cloud.eg.infrastructure.service.EgApiEndpointService;
import com.hrsk.cloud.eg.infrastructure.service.EgApiService;
import com.hrsk.cloud.eg.vo.response.DataVo;
import com.hrsk.cloud.eg.vo.response.DefaultResponseVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.annotation.Resource;

/**
 * @author zhangyy
 * @version 1.0
 * @description: HttpRequestCheckIntoService
 * @date 2024/8/30 14:15
 */
@Slf4j
@Service
public class HttpRequestCheckIntoService {
    @Resource
    private EgApiService    egApiService;

    @Resource
    private EgApiEndpointService egApiEndpointService;

    @Resource
    private ApiFactory apiFactory;

    @Resource
    private HttpTemPlateClient httpTemPlateClient;


    /**
     * @description:  撞库
     * @param:
     * @return:
     * @author zhangyy
     * @date: 2024/8/30 14:24
     */
    public Object checkInto(CheckIntoParamDto paramDto){
        EgApiEndpointDo eg = egApiEndpointService.getById(paramDto.getPlan().getApiId());
        try {
            HttpApiConfig httpApiConfig = (HttpApiConfig) HessianUtils.deserialize(eg.getApiConfig());
            String type = httpApiConfig.getUrl().substring(0,httpApiConfig.getUrl().indexOf("://"));
             httpApiConfig.setType(type);
            Api api = apiFactory.createApi(httpApiConfig,paramDto);
            Object result = httpTemPlateClient.request((HttpApi) api);
           return apiFactory.createResult(httpApiConfig,result);
        } catch (Exception e) {
            log.error("check into error ",e);
        }
        return DataVo.fail();
    }
}
