import com.hrsk.cloud.eg.Application;
import com.hrsk.cloud.eg.domain.api.ApiGateway;
import com.hrsk.cloud.eg.dto.data.CheckIntoParamDto;
import com.hrsk.cloud.eg.dto.data.egPlan.PlanDto;
import com.hrsk.cloud.eg.dto.data.user.UserInBaseInfoDto;
import com.hrsk.cloud.eg.infrastructure.business.GenerateHttpApiConfigService;
import com.hrsk.cloud.eg.infrastructure.service.ProductBusinessApiInfoService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @author zhangyy
 * @version 1.0
 * @description: Test
 * @date 2024/8/28 17:03
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
public class StartTest {

    @Resource
    private GenerateHttpApiConfigService generateHttpApiConfigService;

    @Resource
    private ProductBusinessApiInfoService productBusinessApiInfoService  ;

    @Resource
    private ApiGateway apiGateway;
    @Test
  public void createApiTest(){
        String input="{\"priviteKey\":\"MIICdgIBADANBgkqhkiG9w0BAQEFAASCAmAwggJcAgEAAoGBAIIftRt0MixH4UKwHEYD2TT9LblcgXaZYOMsBqW8zDnDfTuu6-LZz7EaRR4E4xRYsHHpL_lzhytnYd3MxAMt8kQYkrQHDGiZuw9CO5DxQdy4ysS6e6yKiGJC-1rubYicLAko322nV9f9xZ3aWl9xyjzVkQCeyxkU83UDe9SBBpbLAgMBAAECgYANTQZrLv5t7k8FTREmyv_p3bNNzjnhkJ4JupdXW6wYf3YOoruz7YXAWaoU_nTjwIkQq8BepEN92Ux0qpiippCr5ekXUnF4ya8TAKxc9J93jEXW_0grMbut3FOxQM6q2a4IWb0ahVNq7_6wbUNQavfR5HoBShhD798V89q9UWBO6QJBAL8JUqQseATgDkUjPunBUS2OhENqerDKfOmLAGa4o60b49nUG0Hr3WLm47qNM8-Hnozs-lqvnKWFyKntsin9ds8CQQCuX6Qgdy8_X-NhxtKfRkynCnKi5J5E8FEJvXyi_rMqQxWwDcu_4NRMUKD7FkmLjTf4xqfpBUg6k6CLNTO5JZ9FAkBUS1LR6mVTEWJ6k2DRWGHvjjFCZhuZIuAXVSRqLxLZ8bKKjZMxdVgMqgDWcjPoYNlPKcoWdeLTDsNKZ_3zlUn1AkEAjaLwHNLSlOadOoGV-XvPrWsGHJwYlqShHolEoNzDyRM-nYdHNa84olhnuiurR2hIy5EJOHRq6_GX2Rs4zS3rBQJACI2mG2n9L3y4J6bEs40KvURo4x4iu8c9nuUsLZppkfQNiy4VaZBJqXeXfWV0nRyvd0qWR7D_S91EI90FY_tBWQ\",\"secretKey\":\"3A4093B3E9A46A59A441E0B728260939\",\"applyUrl\":\"http://loan-crm-api.pre.jiebide.xin/crm/custom/add\",\"publicKey\":\"MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCCH7UbdDIsR-FCsBxGA9k0_S25XIF2mWDjLAalvMw5w307ruvi2c-xGkUeBOMUWLBx6S_5c4crZ2HdzMQDLfJEGJK0BwxombsPQjuQ8UHcuMrEunusiohiQvta7m2InCwJKN9tp1fX_cWd2lpfcco81ZEAnssZFPN1A3vUgQaWywIDAQAB\",\"checkUrl\":\"http://loan-crm-api.pre.jiebide.xin/crm/custom/checkAttackData\",\"channelCode\":\"CHANEL240717000000005\"}";
        generateHttpApiConfigService.generateHuiRonHuiRonApiConfig(input);
  }

    @Test
    public void apiTest(){
      Long apiId= 441205582851136L;
        UserInBaseInfoDto user =new UserInBaseInfoDto();
        user.setPhoneMd5("b5500dfab55f42b340d31326561e16cb");
        PlanDto  plan =new PlanDto();
        plan.setApiId(apiId);
        plan.setBid("aff1c7b30d8b240826030235business");
        CheckIntoParamDto checkin =new CheckIntoParamDto();
        checkin.setPlan(plan);
        checkin.setUser(user);
        apiGateway.checkIntoRequest(checkin);
    }


}
